package com.bonus.canteen.core.device.manage.controller.deprecated.vo;

import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class SelectMacPrinter {
   @ApiModelProperty("id")
   private Long id;
   @ApiModelProperty("设备id")
   private Long machineId;
   @ApiModelProperty("打印机状态")
   private Integer priStatus;
   @ApiModelProperty("删除标识 删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("key")
   private String priKey;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("修改时间")
   private LocalDateTime uptime;
   @ApiModelProperty("设备sn码")
   private String machineSn;

   public Long getId() {
      return this.id;
   }

   public Long getMachineId() {
      return this.machineId;
   }

   public Integer getPriStatus() {
      return this.priStatus;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public String getPriKey() {
      return this.priKey;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setMachineId(final Long machineId) {
      this.machineId = machineId;
   }

   public void setPriStatus(final Integer priStatus) {
      this.priStatus = priStatus;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setPriKey(final String priKey) {
      this.priKey = priKey;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

}
